# SPARC2 Configuration

# General configuration
version = "0.2.0"
log_level = "info"

# Agent configuration
agent_config_path = "config/agent-config.toml"

# E2B configuration
e2b_api_key_env = "E2B_API_KEY"

# Vector store configuration
vector_store_type = "openai"
openai_api_key_env = "OPENAI_API_KEY"

# Execution configuration
[execution]
mode = "automatic"
diff_mode = "file"
processing = "sequential"

# Logging configuration
[logging]
enable = true
vector_logging = true

# Rollback configuration
[rollback]
checkpoint_enabled = true
temporal_rollback = true

# Models configuration
[models]
reasoning = "gpt-4o"
instruct = "gpt-3.5-turbo"